# Bullet Auto Pilots

A Box2D sandbox where you try to escape bullets shot by several artillery.

![Bullet Auto Pilots logo](icon.png)

## Build

You need `make`, `SDL1` and [Box2D](https://github.com/erincatto/box2d) to build this project.

Example on Ubuntu :
```sh
$ sudo apt install make g++ libsdl-dev libsdl-gfx1.2-dev libbox2d-dev
$ make
```

**Warning about Box2D** : you need at least version 2.4.1 in order to compile this project. If your package manager is out of date, please build Box2D and install it from source.

To execute :
```sh
$ make exec
```

## Controls

- Arrow keys : move ship
- Mouse clic : build a tourel at cursor
- Space : pause
- Number keys 1, 2, 3, 4 : change tourel type
- A : toggle visual effects
- Z : increase shoot delay of next tourel
- S : decrease shoot delay of next tourel
- E : restore life points to maximum
- R : toggle tourel position prediction
- Escape : quit
- Backspace : destroy tourels

## License

GNU GPLv3, see `LICENSE.txt`.

